
//
// To jest przykładowy kod z podrozdziału 11.5 „Wprowadzanie danych wierszami” książki 
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include <iostream>
#include <string>
#include <sstream>
#include <vector>

//------------------------------------------------------------------------------

using namespace std;

int main()
{
    string name;
    cin >> name;            // Wejście: Dennis Ritchie
    cout << name << '\n';   // Wyjście: Dennis

    getline(cin,name);      // Wejście: Dennis Ritchie
    cout << name << '\n';   // Wyjście: Dennis Ritchie



    string first_name;
    string second_name;
    stringstream ss(name);
    ss>>first_name;         // Wejście: Dennis
    ss>>second_name;        // Wejście: Ritchie

    {
        string command;
        getline(cin,command);   // wczytuje wiersz

        stringstream ss(command);
        vector<string> words;
        string s;
        while (ss>>s) words.push_back(s);    // wydobywa poszczególne słowa
    }
}

//------------------------------------------------------------------------------
